%global srcname grunt-known-options

Name:           nodejs-%{srcname}
Version:        1.1.0
Release:        2%{?dist}
Summary:        The known options used in Grunt
License:        MIT
URL:            https://www.npmjs.com/package/grunt-known-options
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -qn package

%build
#nothing to do

%check
%{__nodejs} -e 'require("./")'

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jul 11 2016 Piotr Popieluch <piotr1212@gmail.com> - - 1.1.0-1
- Initial package
